/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.camel.kafkaconnector.kafkaapicurioregistrynotsecuredsink;

import java.util.Map;
import javax.annotation.Generated;
import org.apache.camel.kafkaconnector.CamelSinkConnectorConfig;
import org.apache.kafka.common.config.ConfigDef;

@Generated("This class has been generated by camel-kafka-connector-generator-maven-plugin, remove this annotation to prevent it from being generated.")
public class CamelKafkaapicurioregistrynotsecuredsinkSinkConnectorConfig
        extends
            CamelSinkConnectorConfig {

    public static final String CAMEL_SINK_KAFKAAPICURIOREGISTRYNOTSECUREDSINK_KAMELET_TOPIC_CONF = "camel.kamelet.kafka-apicurio-registry-not-secured-sink.topic";
    public static final String CAMEL_SINK_KAFKAAPICURIOREGISTRYNOTSECUREDSINK_KAMELET_TOPIC_DOC = "Comma separated list of Kafka topic names";
    public static final String CAMEL_SINK_KAFKAAPICURIOREGISTRYNOTSECUREDSINK_KAMELET_TOPIC_DEFAULT = null;
    public static final String CAMEL_SINK_KAFKAAPICURIOREGISTRYNOTSECUREDSINK_KAMELET_BOOTSTRAP_SERVERS_CONF = "camel.kamelet.kafka-apicurio-registry-not-secured-sink.bootstrapServers";
    public static final String CAMEL_SINK_KAFKAAPICURIOREGISTRYNOTSECUREDSINK_KAMELET_BOOTSTRAP_SERVERS_DOC = "Comma separated list of Kafka Broker URLs";
    public static final String CAMEL_SINK_KAFKAAPICURIOREGISTRYNOTSECUREDSINK_KAMELET_BOOTSTRAP_SERVERS_DEFAULT = null;
    public static final String CAMEL_SINK_KAFKAAPICURIOREGISTRYNOTSECUREDSINK_KAMELET_VALUE_SERIALIZER_CONF = "camel.kamelet.kafka-apicurio-registry-not-secured-sink.valueSerializer";
    public static final String CAMEL_SINK_KAFKAAPICURIOREGISTRYNOTSECUREDSINK_KAMELET_VALUE_SERIALIZER_DOC = "Serliazer class for value that implements the Serializer interface.";
    public static final String CAMEL_SINK_KAFKAAPICURIOREGISTRYNOTSECUREDSINK_KAMELET_VALUE_SERIALIZER_DEFAULT = "io.apicurio.registry.serde.avro.AvroKafkaSerializer";
    public static final String CAMEL_SINK_KAFKAAPICURIOREGISTRYNOTSECUREDSINK_KAMELET_APICURIO_REGISTRY_URL_CONF = "camel.kamelet.kafka-apicurio-registry-not-secured-sink.apicurioRegistryUrl";
    public static final String CAMEL_SINK_KAFKAAPICURIOREGISTRYNOTSECUREDSINK_KAMELET_APICURIO_REGISTRY_URL_DOC = "The Apicurio Schema Registry URL";
    public static final String CAMEL_SINK_KAFKAAPICURIOREGISTRYNOTSECUREDSINK_KAMELET_APICURIO_REGISTRY_URL_DEFAULT = null;
    public static final String CAMEL_SINK_KAFKAAPICURIOREGISTRYNOTSECUREDSINK_KAMELET_AVRO_DATUM_PROVIDER_CONF = "camel.kamelet.kafka-apicurio-registry-not-secured-sink.avroDatumProvider";
    public static final String CAMEL_SINK_KAFKAAPICURIOREGISTRYNOTSECUREDSINK_KAMELET_AVRO_DATUM_PROVIDER_DOC = "How to write data with Avro";
    public static final String CAMEL_SINK_KAFKAAPICURIOREGISTRYNOTSECUREDSINK_KAMELET_AVRO_DATUM_PROVIDER_DEFAULT = "io.apicurio.registry.serde.avro.ReflectAvroDatumProvider";

    public CamelKafkaapicurioregistrynotsecuredsinkSinkConnectorConfig(
            ConfigDef config,
            Map<String, String> parsedConfig) {
        super(config, parsedConfig);
    }

    public CamelKafkaapicurioregistrynotsecuredsinkSinkConnectorConfig(
            Map<String, String> parsedConfig) {
        this(conf(), parsedConfig);
    }

    public static ConfigDef conf() {
        ConfigDef conf = new ConfigDef(CamelSinkConnectorConfig.conf());
        conf.define(CAMEL_SINK_KAFKAAPICURIOREGISTRYNOTSECUREDSINK_KAMELET_TOPIC_CONF, ConfigDef.Type.STRING, CAMEL_SINK_KAFKAAPICURIOREGISTRYNOTSECUREDSINK_KAMELET_TOPIC_DEFAULT, ConfigDef.Importance.HIGH, CAMEL_SINK_KAFKAAPICURIOREGISTRYNOTSECUREDSINK_KAMELET_TOPIC_DOC);
        conf.define(CAMEL_SINK_KAFKAAPICURIOREGISTRYNOTSECUREDSINK_KAMELET_BOOTSTRAP_SERVERS_CONF, ConfigDef.Type.STRING, CAMEL_SINK_KAFKAAPICURIOREGISTRYNOTSECUREDSINK_KAMELET_BOOTSTRAP_SERVERS_DEFAULT, ConfigDef.Importance.HIGH, CAMEL_SINK_KAFKAAPICURIOREGISTRYNOTSECUREDSINK_KAMELET_BOOTSTRAP_SERVERS_DOC);
        conf.define(CAMEL_SINK_KAFKAAPICURIOREGISTRYNOTSECUREDSINK_KAMELET_VALUE_SERIALIZER_CONF, ConfigDef.Type.STRING, CAMEL_SINK_KAFKAAPICURIOREGISTRYNOTSECUREDSINK_KAMELET_VALUE_SERIALIZER_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SINK_KAFKAAPICURIOREGISTRYNOTSECUREDSINK_KAMELET_VALUE_SERIALIZER_DOC);
        conf.define(CAMEL_SINK_KAFKAAPICURIOREGISTRYNOTSECUREDSINK_KAMELET_APICURIO_REGISTRY_URL_CONF, ConfigDef.Type.STRING, CAMEL_SINK_KAFKAAPICURIOREGISTRYNOTSECUREDSINK_KAMELET_APICURIO_REGISTRY_URL_DEFAULT, ConfigDef.Importance.HIGH, CAMEL_SINK_KAFKAAPICURIOREGISTRYNOTSECUREDSINK_KAMELET_APICURIO_REGISTRY_URL_DOC);
        conf.define(CAMEL_SINK_KAFKAAPICURIOREGISTRYNOTSECUREDSINK_KAMELET_AVRO_DATUM_PROVIDER_CONF, ConfigDef.Type.STRING, CAMEL_SINK_KAFKAAPICURIOREGISTRYNOTSECUREDSINK_KAMELET_AVRO_DATUM_PROVIDER_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SINK_KAFKAAPICURIOREGISTRYNOTSECUREDSINK_KAMELET_AVRO_DATUM_PROVIDER_DOC);
        return conf;
    }
}